Package: org.apache.groovy.parser.antlr4.internal

## [Java] Class DescriptiveErrorStrategy

- org.apache.groovy.parser.antlr4.internal.DescriptiveErrorStrategy

- Provide friendly error messages when parsing errors occurred.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DescriptiveErrorStrategy (CharStream charStream)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `createFailedPredicateErrorMessage(Parser recognizer, FailedPredicateException e)`
    `` | `protected String` | `createInputMismatchErrorMessage(Parser recognizer, InputMismatchException e)`
    `` | `protected String` | `createNoViableAlternativeErrorMessage(Parser recognizer, NoViableAltException e)`
    `` | `void` | `recover(Parser recognizer, RecognitionException e)`
    `` | `Token` | `recoverInline(Parser recognizer)`
    `` | `protected void` | `reportFailedPredicate(Parser recognizer, FailedPredicateException e)`
    `` | `protected void` | `reportInputMismatch(Parser recognizer, InputMismatchException e)`
    `` | `protected void` | `reportNoViableAlternative(Parser recognizer, NoViableAltException e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BailErrorStrategy` | `recoverInline, recover, sync, reportMatch, inErrorRecoveryMode, reset, reportError, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DescriptiveErrorStrategy(CharStream charStream)

  - ### Method Detail

    - #### protected String createFailedPredicateErrorMessage(Parser recognizer, FailedPredicateException e)

    - #### protected String createInputMismatchErrorMessage(Parser recognizer, InputMismatchException e)

    - #### protected String createNoViableAlternativeErrorMessage(Parser recognizer, NoViableAltException e)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void recover(Parser recognizer, RecognitionException e)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Token recoverInline(Parser recognizer)

    - #### protected void reportFailedPredicate(Parser recognizer, FailedPredicateException e)

    - #### protected void reportInputMismatch(Parser recognizer, InputMismatchException e)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected void reportNoViableAlternative(Parser recognizer, NoViableAltException e)